mod raw_audio;

use std::io::Write;
use symphonia::core::audio::SampleBuffer;
use tool_helper::{Error, Input};

use symphonia::core::codecs::{DecoderOptions, CODEC_TYPE_NULL};
use symphonia::core::errors::Error as SymError;
use symphonia::core::formats::FormatOptions;
use symphonia::core::io::MediaSourceStream;
use symphonia::core::meta::MetadataOptions;
use symphonia::core::probe::Hint;

pub fn convert(input: Input, _output: &mut dyn Write) -> Result<(), Error> {
    raw_audio::load_raw_audio(input)?;

    Err(Error::not_implemented("XA conversion"))
}